%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jberet
Version:          1.0.0
Release:          2%{?dist}
Summary:          Batch Applications Implementation
License:          EPL and ASL 2.0
URL:              https://github.com/jberet
Source0:          https://github.com/jberet/jsr352/archive/%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    jboss-batch-1.0-api
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-marshalling
BuildRequires:    jboss-transaction-1.2-api
BuildRequires:    h2
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-failsafe-plugin
BuildRequires:    narayana
BuildRequires:    weld-api
BuildRequires:    weld-core

BuildArch:        noarch

%description
JSR 352: Batch Applications for the Java Platform implementation classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jsr352-%{namedversion}

%pom_disable_module jberet-distribution
%pom_disable_module tck-porting-impl
%pom_disable_module test-apps
%pom_disable_module jberet-support

%build
# Tests run: 8, Failures: 0, Errors: 3, Skipped: 1
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc jberet-distribution/src/main/resources/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc jberet-distribution/src/main/resources/LICENSE.txt

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Upstream release 1.0.0.Final

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.CR1
- Upstream release 1.0.0.CR1

* Fri Oct 25 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha4
- Installed license file

* Fri Oct 25 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha4
- Initial packaging



